package com.yida.data.school.transaction.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.apply.EduProductCategory;

import java.util.List;

public interface EduProductCategoryService extends IService<EduProductCategory> {
    /**
     * 查询类别树
     *
     * @return
     */
    List<EduProductCategory> getCategoryTree();

    /**
     * 保存类别
     */
    void saveCategory(EduProductCategory category);

    /**
     * 删除类别
     */
    void delCategoryBatch(List<Long> ids);
}
